@import "styles/description.scss";

.navigation {
  display: flex;
  height: 100%;

  @include mobile {
    position: absolute;
    top: -100vh;
    left: 0;
    width: 100vw;
    height: calc(100vh - 40px);
    background-color: $color-white;
    display: unset;
    margin-top: 40px;
    transition: top 0.2s;
    z-index: -1;
    padding-top: 40px;

    &--isOpen {
      top: 0;
    }
  }
}

.main_link {
  font-size: 16px;
  color: $color-text-main;
  cursor: pointer;
  padding: 0 8px 10px 20px;
  line-height: 40px;
  display: none;

  @include mobile {
    display: block;
  }

  &--active {
    color: $color-red;
  }
}
